﻿#language: ru

Функционал: Учет расхода ингредиентов через киоск

Сценарий: Учет расхода ингредиентов через киоск
	Дано Я подключаюсь под "Киоск"
	И в поле "Дата" я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Учет ингредиентов'
	Тогда открылось окно 'Учет ингредиентов (12.03.19 Смена24) [Киоск]: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'Номенклатура'                           |
		| 'Пошехонский 45% / Варка / 12.03.2019/3' |
	И в таблице "Задания" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Ингредиенты'
	Тогда открылось окно 'Пошехонский 45% / Варка / * [950 кг]: Учет расхода ингредиентов'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура'         |
		| 'Закваска Ceska L 100' |	
	И пауза 1
	И я нажимаю на кнопку 'Указать серию'
	Тогда открылось окно 'Выбрать серию для Закваска Ceska L 100'
	И я нажимаю на кнопку 'КомандаВыбрать'
	Тогда открылось окно 'Пошехонский 45% / Варка / * [950 кг]: Учет расхода ингредиентов *'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'Подтвердить'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' |
		| 'Смесь 45%'    |
	И пауза 1
	И я нажимаю на кнопку 'Указать серию'
	Тогда открылось окно 'Выбрать серию для Смесь 45%'
	И в таблице "Список" я перехожу к строке:
		| 'Серия'                   |
		| '3 до 12.03.2019 0:00:00' |
	И я нажимаю на кнопку 'КомандаВыбрать'
	Тогда открылось окно 'Пошехонский 45% / Варка / * [950 кг]: Учет расхода ингредиентов *'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаКалькулятораОчистить'
	И я нажимаю на кнопку '7'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'Подтвердить'
	И я нажимаю кнопку выбора у поля "СкладОтправитель"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'ФормаВыбрать'
	И я нажимаю на кнопку 'КомандаСохранить'
	Тогда открылось окно 'Учет ингредиентов (12.03.19 Смена24) [Киоск]: Работа с заданиями'
	И Я закрываю окно 'Учет ингредиентов (12.03.19 Смена24) [Киоск]: Работа с заданиями'

Сценарий: 10_milk_scenario.01.005 Закрытие клиента тестирования 
	И я закрываю сеанс TESTCLIENT